mscorlib 2.0.0.0 4.0.0.0 System.Security.Policy.EvidenceBase System.Runtime.InteropServices.ComVisible(true)

The class is used by the class.

The manifest-based activation model uses an application manifest rather than an assembly for activation. A manifest fully describes the application, its dependencies, security requirements, and so forth. The manifest model has several advantages over the assembly-based activation model, especially for Web applications. For example, the manifest contains the security requirements of the application, which enables the user to decide whether to allow the application to execute before downloading the code. The manifest also contains information about the application dependencies.

Provides data for manifest-based activation of an application. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The object represented by the parameter contains the and context information for manifest-based activation.

  Initializes a new instance of the class with the specified activation context.

  An object that identifies the manifest-based activation application.
- Constructor
  2.0.0.0
  4.0.0.0

  The application identity uniquely identifies a manifest-based application to be activated in a new domain.

  Initializes a new instance of the class with the specified application identity.

  An object that identifies the manifest-based activation application.
- Constructor
  2.0.0.0
  4.0.0.0

  The object represented by the parameter contains the and context information for manifest-based activation. The activation data consists of information such as the query string portion of a URL.

  Initializes a new instance of the class with the specified activation context and activation data.

  An object that identifies the manifest-based activation application.
  An array of strings containing host-provided activation data.
- Constructor
  2.0.0.0
  4.0.0.0

  The application identity uniquely identifies a manifest-based application to be activated in a new domain. The activation data consists of information such as the query string portion of a URL.

  Initializes a new instance of the class with the specified application identity and activation data.

  An object that identifies the manifest-based activation application.
  An array of strings containing host-provided activation data.
- Property
  2.0.0.0
  4.0.0.0
  System.ActivationContext To be added.

  The object contains an and provides internal-only access to the application manifest. The activation context is used during manifest-based activation to set up the domain policy and provide an application-based security model.

  Gets the activation context for manifest-based activation of an application.

- Property
  2.0.0.0
  4.0.0.0
  System.String[] To be added.

  The activation data consists of information such as the query string portion of a URL.

  Gets activation data from the host.

- Property
  2.0.0.0
  4.0.0.0
  System.ApplicationIdentity To be added.

  The application identity uniquely identifies a manifest-based application to be activated in a new domain.

  Gets the application identity for a manifest-activated application.